| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiTest.LineSkipper Class Reference
Inheritance diagram for GaudiTest.LineSkipper:
[legend]
Collaboration diagram for GaudiTest.LineSkipper:
[legend]

## Public Member Functions
def | __init__ (self, strings=[], regexps=[])
def | __processLine__ (self, line)
Public Member Functions inherited from GaudiTest.FilePreprocessor
def | __processLine__ (self, line)
def | __call__ (self, input)
def | __add__ (self, rhs)

## Public Attributes
| strings
| regexps

## Detailed Description

Definition at line 471 of file GaudiTest.py.

## Constructor & Destructor Documentation

def GaudiTest.LineSkipper.__init__ | ( |  | self,
|  |  | strings = `[]`,
|  |  | regexps = `[]`
| ) |  |

Definition at line 472 of file GaudiTest.py.

472 def __init__(self, strings=[], regexps=[]):
473 import re
474 self.strings = strings
475 self.regexps = map(re.compile, regexps)
476
GaudiTest.LineSkipper.__init__
def __init__(self, strings=[], regexps=[])
Definition: GaudiTest.py:472
Containers::map
struct GAUDI_API map
Parametrisation class for map-like implementation.
Definition: KeyedObjectManager.h:26
GaudiTest.LineSkipper.strings
strings
Definition: GaudiTest.py:474
GaudiTest.LineSkipper.regexps
regexps
Definition: GaudiTest.py:475

## Member Function Documentation

def GaudiTest.LineSkipper.__processLine__ | ( |  | self,
|  |  | line
| ) |  |

Definition at line 477 of file GaudiTest.py.

477 def __processLine__(self, line):
478 for s in self.strings:
479 if line.find(s) >= 0:
480 return None
481 for r in self.regexps:
482 if r.search(line):
483 return None
484 return line
485
486
GaudiTest.LineSkipper.strings
strings
Definition: GaudiTest.py:474
GaudiTest.LineSkipper.__processLine__
def __processLine__(self, line)
Definition: GaudiTest.py:477
GaudiTest.LineSkipper.regexps
regexps
Definition: GaudiTest.py:475

## Member Data Documentation

GaudiTest.LineSkipper.regexps

Definition at line 475 of file GaudiTest.py.

GaudiTest.LineSkipper.strings

Definition at line 474 of file GaudiTest.py.

The documentation for this class was generated from the following file:

- GaudiPolicy/qmtest_classes/GaudiTest.py